Show / Hide Table of Contents

# Class OpenIddictServerConfiguration

Contains the methods required to ensure that the OpenIddict server configuration is valid.

##### Inheritance

System.Object
OpenIddictServerConfiguration

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerConfiguration : IPostConfigureOptions<OpenIddictServerOptions>

### Methods

#### PostConfigure(String, OpenIddictServerOptions)

Populates the default OpenIddict server options and ensures that the configuration is in a consistent and valid state.

##### Declaration

    public void PostConfigure(string name, OpenIddictServerOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | The name of the options instance to configure, if applicable.
OpenIddictServerOptions | options | The options instance to initialize.